=== po/CMakeLists.txt ===

FIND_PACKAGE( Gettext REQUIRED )

MACRO(GETTEXT_PROCESS_POFILE _lang _moFile _poFile )
   GET_FILENAME_COMPONENT(_moBasename ${_moFile} NAME_WE)
   GET_FILENAME_COMPONENT(_relmoFile ${_moFile} NAME)
   GET_FILENAME_COMPONENT(_absFile ${_poFile} ABSOLUTE)
   STRING( REPLACE @ _ _targetname "${_moBasename}.${_lang}.mo" )
   ADD_CUSTOM_COMMAND(
      OUTPUT ${_relmoFile}
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} ${_absFile}
      DEPENDS ${_absFile}
   )
   INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_relmoFile} DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${_lang}/LC_MESSAGES )
   ADD_CUSTOM_TARGET( ${_targetname} ALL DEPENDS ${_relmoFile} )
ENDMACRO(GETTEXT_PROCESS_POFILE )

# Current languages

ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( ca_ES )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( da )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( hr )
ADD_SUBDIRECTORY( hu )
ADD_SUBDIRECTORY( is )
ADD_SUBDIRECTORY( it )
ADD_SUBDIRECTORY( ja )
ADD_SUBDIRECTORY( lt )
ADD_SUBDIRECTORY( ms )
ADD_SUBDIRECTORY( nb )
ADD_SUBDIRECTORY( nl )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( pt )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( ru )
ADD_SUBDIRECTORY( sk )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )
ADD_SUBDIRECTORY( sv )
ADD_SUBDIRECTORY( th )
ADD_SUBDIRECTORY( tr )
ADD_SUBDIRECTORY( uk )
