=== po/ca_ES/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ca_ES guayadeque.mo guayadeque.po )
