=== po/da/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( da guayadeque.mo guayadeque.po )
