=== debian/changelog ===
guayadeque-dmo (0.7.4-dmo2) unstable; urgency=medium

  * Add gstreamer1.0-plugins-good to Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 09:43:20 +0100

guayadeque-dmo (0.7.4-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 08:32:26 +0100
