=== debian/control ===
Source: guayadeque-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/thothix/guayadeque
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake, libwxsqlite3-3.2-dev,
 gettext, libdbus-1-dev, libgpod-dev, libgstreamer1.0-dev, libjsoncpp-dev,
 libwxsqlite3-3.0-dev, libgstreamer-plugins-base1.0-dev, libtag1-dev,
 libwxgtk-media3.2-dev, ninja-build, libicu-dev (>= 60~),
 libcurl4-openssl-dev (>= 7.18.2),

Package: guayadeque
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-plugins-good,
Description: lightweight music player.
 Guayadeque is a lightweight and easy-to-use music player that supports
 smart playlists and huge music collections.
 .
 Main features include:
  - Play mp3, ogg, flac, wav, wma, mpc, mp4, ape, ...
  - Read and write tags in all supported formats.
  - Allow one to catalogue your music using labels. Any track, artist or
    album can have as many labels you want.
  - Smart play mode that add tracks that fit your music taste using the
    tracks currently in play list.
  - Ability to download covers manually or automatically
  - Suggest music using last.fm service.
  - Allow fast access to any music file by genre, artist, album
  - Play and Record shoutcast radios
  - Configurable cross fader engine
  - Configurable Silence detector to avoid listening to silence between tracks
  - Allow one to subscribe to podcasts and download all new episodes
    automatically or manually.
  - Dynamic or static play lists.
  - Tracks tag editor with automatically fetching of tags information for
    easily completion.
  - Lyrics downloads from different lyrics providers.
  - Easily expandable contextual links support. With it you can find
    information about a track, an artist or an album on your favourite site.
  - Easily expandable contextual commands support. For example you can right
    click on any album and click in option to record the album in a burning
    application.
  - Option to copy the selection you want to a directory or device using a
    configurable pattern.
  - Last.fm audioscrobbling support.
  - Partial GNOME session support to detect when GNOME session is about to
    close and save the play list so it can continue next time with the same
    tracks.
  - Allow one to resume play status and position when closed and reopened.
  - You can rate the tracks from 0 to 5 stars.
  - MPRIS D-Bus interface support so it can easily controlled from music
    applets for example and many more.
