=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	-DCMAKE_CXX_STANDARD=11 \
#	-DCMAKE_INSTALL_PREFIX=/usr \
#	-DENABLE_LIBINDICATE=OFF
#	-DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config \
#	-DwxWidgets_INCLUDE_DIRS=/usr/include/wx-3.2 \
#	-DwxWidgets_wxrc_EXECUTABLE=/usr/bin/wxrc-3.2 \

#	exit 1

override_dh_auto_test:
