=== debian/watch ===
version=4

https://github.com/thothix/guayadeque/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
