## guayadeque-dmo 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,12 +43,11 @@
 
 find_package(ICU 60.0 COMPONENTS uc i18n REQUIRED)
 
-pkg_check_modules(GSTREAMER gstreamer-1.0>=1.20)
-if (NOT GSTREAMER_FOUND)
-    check_required_components()
-    pkg_check_modules(GSTREAMER gstreamer-1.0>=1.0)
-    if (NOT GSTREAMER_FOUND)
-        message(FATAL_ERROR "gstreamer 1.0 not found!")
+pkg_check_modules(GSTREAMER120 gstreamer-1.0>=1.20)
+if (NOT GSTREAMER120_FOUND)
+    pkg_check_modules(GSTREAMER1 gstreamer-1.0>=1.0)
+    if (NOT GSTREAMER1_FOUND)
+        message(FATAL_ERROR "gstreamer >= 1.0 not found!")
     else()
         add_definitions(-DGSTREAMER_VERSION=1)
     endif()
@@ -163,8 +162,8 @@
 # default configuration and desktop icon
 # freedesktop.org-specific files
 install(FILES defconfig/guayadeque.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps/)
-install(FILES defconfig/org.guayadeque.guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES defconfig/org.guayadeque.guayadeque.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
+install(FILES defconfig/org.guayadeque.Guayadeque.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+install(FILES defconfig/org.guayadeque.Guayadeque.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 
 # program-specific files
 install(FILES defconfig/guayadeque.default.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/guayadeque)
