=== po/bg/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( bg guayadeque.mo guayadeque.po )
