=== po/lt/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( lt guayadeque.mo guayadeque.po )
