=== po/ms/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ms guayadeque.mo guayadeque.po )
