=== po/pl/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pl guayadeque.mo guayadeque.po )
