=== po/sr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( sr guayadeque.mo guayadeque.po )
