=== debian/changelog ===
guayadeque-dmo (0.7.5-dmo2) unstable; urgency=medium

  * Update upstream URL github --> codeberg

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Jan 2026 08:38:23 +0100

guayadeque-dmo (0.7.5-dmo1) unstable; urgency=medium

  * New upstream releae.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jan 2026 08:55:51 +0100
