=== debian/watch ===
Version: 5

Source: https://codeberg.org/thothix/guayadeque/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
